<?xml version="1.0" encoding="utf-8"?>
<TabHost android:id="@+id/settings_tab_host" xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
	android:layout_height="fill_parent">
	<LinearLayout 
		android:orientation="vertical"
    	android:layout_width="fill_parent"
    	android:layout_height="fill_parent">
    	<TabWidget android:id="@android:id/tabs"
    		android:layout_width="fill_parent"
    		android:layout_height="wrap_content" />
    	<FrameLayout android:id="@android:id/tabcontent"
    		android:layout_width="fill_parent"
    		android:layout_height="fill_parent">
    		
    		<!--
    			Account Tab
    		-->
    		<ScrollView
    			android:orientation="vertical"
    			android:layout_width="fill_parent"
    			android:layout_height="fill_parent">
    		<RelativeLayout android:id="@+id/settings_account"
    			android:orientation="vertical"
    			android:layout_width="fill_parent"
    			android:layout_height="fill_parent"
    			android:padding="10dip">
    			<TextView android:id="@+id/settings_account_label_username"
    				android:layout_width="fill_parent"
    				android:layout_height="wrap_content"
    				android:text="@string/settings_account_username"
    				style="@style/Label" />
				<EditText android:id="@+id/settings_account_username"
					android:layout_width="fill_parent"
					android:layout_height="wrap_content"
					android:layout_below="@id/settings_account_label_username"
					android:singleLine="true" />
    			<TextView android:id="@+id/settings_account_label_password"
    				android:layout_width="fill_parent"
    				android:layout_height="wrap_content"
					android:layout_below="@id/settings_account_username"
    				android:text="@string/settings_account_password"
    				style="@style/Label" />
				<EditText android:id="@+id/settings_account_password"
					android:layout_width="fill_parent"
					android:layout_height="wrap_content"
					android:layout_below="@id/settings_account_label_password"
					android:password="true"
					android:singleLine="true" />
    			<Button android:id="@+id/settings_account_button_save"
					android:layout_width="wrap_content"
					android:layout_height="wrap_content"
					android:layout_below="@id/settings_account_password"
					android:layout_alignParentRight="true"
					android:text="@string/button_save" />
    		</RelativeLayout>
    		</ScrollView>
    		
    		<!-- 
    			XMPP Tab
    		-->
    		<ScrollView
    			android:layout_width="fill_parent"
    			android:layout_height="fill_parent"
    			android:orientation="vertical">
    		<RelativeLayout android:id="@+id/settings_xmpp"
    			android:orientation="vertical"
    			android:layout_width="fill_parent"
    			android:layout_height="fill_parent"
    			android:padding="10dip">
	  			<TableLayout android:id="@+id/settings_xmpp_table_sp"
  					android:layout_width="fill_parent"
  					android:layout_height="wrap_content"
  					android:stretchColumns="1">
  					<TableRow>
   						<TextView android:id="@+id/settings_xmpp_label_server"
   							android:layout_column="1"
  							android:layout_width="223dp"
  							android:layout_height="wrap_content"
  							android:text="@string/settings_xmpp_server"
  							style="@style/Label" />
  						<TextView android:id="@+id/settings_xmpp_label_port"
  							android:layout_column="2"
  							android:layout_width="wrap_content"
  							android:layout_height="wrap_content"
  							android:text="@string/settings_xmpp_port"
  							style="@style/Label" />
					</TableRow>
					<TableRow>
						<EditText android:id="@+id/settings_xmpp_server"
							android:layout_column="1"
							android:layout_width="wrap_content"
							android:layout_height="wrap_content"
							android:maxWidth="223dp"
							android:singleLine="true" />
						<EditText android:id="@+id/settings_xmpp_port"
							android:layout_column="2"
							android:layout_width="wrap_content"
							android:layout_height="wrap_content"
							android:minWidth="77dp"
							android:numeric="integer"
							android:maxLength="5"
							android:singleLine="true" />
					</TableRow>
				</TableLayout>
    			<CheckBox android:id="@+id/settings_xmpp_use_tls"
    				android:layout_width="wrap_content"
    				android:layout_height="wrap_content"
    				android:text="@string/settings_xmpp_use_tls"
    				android:layout_below="@id/settings_xmpp_table_sp"
    				android:focusable="true"
    				style="@style/CheckBoxLabel" />
				<Button android:id="@+id/settings_xmpp_button_save"
					android:layout_width="wrap_content"
					android:layout_height="wrap_content"
					android:layout_alignParentRight="true"
					android:layout_below="@id/settings_xmpp_use_tls"
					android:text="@string/button_save" />
    		</RelativeLayout>
    		</ScrollView>
    		
    		<!--
    			Proxy Tab
    		-->
    		<ScrollView
    			android:layout_width="fill_parent"
    			android:layout_height="fill_parent"
    			android:orientation="vertical">
    		<RelativeLayout android:id="@+id/settings_proxy"
    			android:orientation="vertical"
    			android:layout_width="fill_parent"
    			android:layout_height="fill_parent"
    			android:padding="10dip">
    			<CheckBox android:id="@+id/settings_proxy_use"
    				android:layout_width="wrap_content"
    				android:layout_height="wrap_content"
    				android:text="@string/settings_proxy_use"
    				android:focusable="true"
    				style="@style/CheckBoxLabel" />
    			<LinearLayout android:id="@+id/settings_proxy_parameters"
    				android:layout_width="fill_parent"
    				android:layout_height="fill_parent"
    				android:layout_below="@id/settings_proxy_use"
    				android:orientation="vertical">
    				<Spinner android:id="@+id/settings_proxy_type"
    					android:layout_width="fill_parent"
    					android:layout_height="wrap_content" />
    				<TableLayout android:id="@+id/settings_proxy_table_sp"
    					android:layout_width="fill_parent"
    					android:layout_height="wrap_content"
    					android:stretchColumns="1">
    					<TableRow>
     						<TextView android:id="@+id/settings_proxy_label_server"
     							android:layout_column="1"
    							android:layout_width="223dp"
    							android:layout_height="wrap_content"
    							android:text="@string/settings_proxy_server"
    							style="@style/Label" />
    						<TextView android:id="@+id/settings_proxy_label_port"
    							android:layout_column="2"
    							android:layout_width="wrap_content"
    							android:layout_height="wrap_content"
    							android:text="@string/settings_proxy_port"
    							style="@style/Label" />
						</TableRow>
						<TableRow>
							<EditText android:id="@+id/settings_proxy_server"
								android:layout_column="1"
								android:layout_width="wrap_content"
								android:layout_height="wrap_content"
    							android:maxWidth="223dp"
								android:singleLine="true" />
							<EditText android:id="@+id/settings_proxy_port"
								android:layout_column="2"
								android:layout_width="wrap_content"
								android:layout_height="wrap_content"
								android:minWidth="77dp"
								android:numeric="integer"
								android:maxLength="5"
								android:singleLine="true" />
						</TableRow>
					</TableLayout>
     				<TextView android:id="@+id/settings_proxy_label_username"
    					android:layout_width="fill_parent"
    					android:layout_height="wrap_content"
    					android:text="@string/settings_proxy_username"
    					style="@style/Label" />
					<EditText android:id="@+id/settings_proxy_username"
						android:layout_width="fill_parent"
						android:layout_height="wrap_content"
						android:singleLine="true" />
     				<TextView android:id="@+id/settings_proxy_label_password"
    					android:layout_width="fill_parent"
    					android:layout_height="wrap_content"
    					android:text="@string/settings_proxy_password"
    					style="@style/Label" />
					<EditText android:id="@+id/settings_proxy_password"
						android:layout_width="fill_parent"
						android:layout_height="wrap_content"
    					android:password="true"
    					android:singleLine="true" />
				</LinearLayout>
				<Button android:id="@+id/settings_proxy_button_save"
					android:layout_width="wrap_content"
					android:layout_height="wrap_content"
					android:layout_alignParentRight="true"
					android:text="@string/button_save" />
    		</RelativeLayout>
    		</ScrollView>
    	</FrameLayout>
	</LinearLayout>
</TabHost>
